GNU bug report logs - #53638
[PATCH] newsticker better path handling and data storage

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: mailj2@HIDDEN; Keywords: patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 53638 <at> debbugs.gnu.org and mailj2@HIDDEN Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53638 <at> debbugs.gnu.org:


Received: (at 53638) by debbugs.gnu.org; 16 May 2022 12:05:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 08:05:10 2022
Received: from localhost ([127.0.0.1]:51935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqZTJ-0002yS-Pd
	for submit <at> debbugs.gnu.org; Mon, 16 May 2022 08:05:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nqZTF-0002xh-Rt
 for 53638 <at> debbugs.gnu.org; Mon, 16 May 2022 08:05:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mRZBfLGrBfVdZLG949rzf4x9j55OvpaxH6mR+6tkFyc=; b=FXnsSfdhxJ7wHa5Xlnz+x6+5e8
 5cL4A+SvHnSo+DtPdNI5EmGjhy8V9oQ52aqvikzxlzJ3ZdoM5wsTp2g4eFD/bRACgT0dcddEOe68b
 dicX+eaBkY/YwpEZ2GhSLEMiCSYtJiRAMmdQx/bcO4WpFHae8y1QIqt3iga22NWaHPEA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nqZT4-0004Uu-Mb; Mon, 16 May 2022 14:04:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Xavier Capaldi <xcapaldi@HIDDEN>
Subject: Re: bug#53638: [PATCH] newsticker better path handling and data
References: <87h79lgg5n.fsf@HIDDEN>
 <87y1z287b5.fsf@HIDDEN>
Date: Mon, 16 May 2022 14:04:52 +0200
In-Reply-To: <87y1z287b5.fsf@HIDDEN>
 (Xavier Capaldi's message of "Sun, 15 May 2022 23:50:22 -0400")
Message-ID: <874k1phee3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Xavier Capaldi <xcapaldi@HIDDEN> writes: > Not sure if
 this bug report/patch is blocked but I faced the > `prin1-to-string` issue
 which is fixed by the patch here. I've attached > an updated patch that uses
 chained calls to `expand-file-name [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53638
Cc: 53638 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Xavier Capaldi <xcapaldi@HIDDEN> writes:

> Not sure if this bug report/patch is blocked but I faced the
> `prin1-to-string` issue which is fixed by the patch here. I've attached
> an updated patch that uses chained calls to `expand-file-name` instead
> of `file-name-concat` since that was the last issue mentioned with the
> patch.

Thanks.  I've now applied the patch (with a number of changes) and
pushed to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53638; Package emacs. Full text available.

Message received at 53638 <at> debbugs.gnu.org:


Received: (at 53638) by debbugs.gnu.org; 16 May 2022 04:36:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 00:36:30 2022
Received: from localhost ([127.0.0.1]:51342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqST8-00038t-7h
	for submit <at> debbugs.gnu.org; Mon, 16 May 2022 00:36:30 -0400
Received: from mx2-c2.supremebox.com ([198.23.53.235]:37659
 helo=mx1.supremebox.com) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <xcapaldi@HIDDEN>) id 1nqRkX-0001xH-ND
 for 53638 <at> debbugs.gnu.org; Sun, 15 May 2022 23:50:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=scribo.biz; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From:
 Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=FnWMHxIFS0nq+ccQaGcVetaZhjTUYst3TOAfaXVtMYc=; b=SATTc478O+TBid1R/Xf4b4+tsO
 8mmvPpBMo7eSKzcs0sl9ucYdATm6ZJ+bsNTNaSJGWrLB+yYHXzMrVGqSg14Lr7NzmPwKyiw9VCmZU
 T6jaTsSK+RBW49WTI5XsikPuGdXpzIR53YxsYWBAxZ7XF8tMpXLzVgSENRtmGKHhMPtI=;
Received: from modemcable070.248-202-24.mc.videotron.ca ([24.202.248.70]
 helo=localhost) by mx1.supremebox.com with esmtpa (Exim 4.92)
 (envelope-from <xcapaldi@HIDDEN>) id 1nqRkV-0005TR-H4
 for 53638 <at> debbugs.gnu.org; Mon, 16 May 2022 03:50:24 +0000
From: Xavier Capaldi <xcapaldi@HIDDEN>
To: 53638 <at> debbugs.gnu.org
Subject: Re: bug#53638: [PATCH] newsticker better path handling and data
Date: Sun, 15 May 2022 23:50:22 -0400
Message-ID: <87y1z287b5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Sender-Ident-agJab5osgicCis: xcapaldi@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53638
X-Mailman-Approved-At: Mon, 16 May 2022 00:36:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Not sure if this bug report/patch is blocked but I faced the
`prin1-to-string` issue which is fixed by the patch here. I've attached
an updated patch that uses chained calls to `expand-file-name` instead
of `file-name-concat` since that was the last issue mentioned with the
patch.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=newsticker-patch-3.diff

diff --git a/lisp/net/newst-backend.el b/lisp/net/newst-backend.el
index a62a7bd8b7..d3610a2130 100644
--- a/lisp/net/newst-backend.el
+++ b/lisp/net/newst-backend.el
@@ -1697,11 +1697,13 @@ newsticker--update-process-ids
 ;; ======================================================================
 (defun newsticker--images-dir ()
   "Return directory where feed images are saved."
-  (concat newsticker-dir "/images/"))
+  (file-name-as-directory
+    (expand-file-name "images" newsticker-dir)))
 
 (defun newsticker--icons-dir ()
   "Return directory where feed icons are saved."
-  (concat newsticker-dir "/icons/"))
+  (file-name-as-directory
+    (expand-file-name "icons" newsticker-dir)))
 
 (defun newsticker--image-get (feed-name filename directory url)
   "Get image for FEED-NAME by returning FILENAME from DIRECTORY.
@@ -2114,7 +2116,8 @@ newsticker--cache-get-feed
 
 (defun newsticker--cache-dir ()
   "Return directory for saving cache data."
-  (concat newsticker-dir "/feeds"))
+  (file-name-as-directory
+    (expand-file-name "feeds" newsticker-dir)))
 
 (defun newsticker--cache-save ()
   "Save cache data for all feeds."
@@ -2125,11 +2128,15 @@ newsticker--cache-save
 
 (defun newsticker--cache-save-feed (feed)
   "Save cache data for FEED."
-  (let ((dir (concat (newsticker--cache-dir) "/" (symbol-name (car feed)))))
+  (let ((dir (file-name-as-directory
+               (expand-file-name (symbol-name (car feed))
+                                 (newsticker--cache-dir))))
+        (print-level nil)
+        (print-length nil))
     (unless (file-directory-p dir)
       (make-directory dir t))
     (let ((coding-system-for-write 'utf-8))
-      (with-temp-file (concat dir "/data")
+      (with-temp-file (expand-file-name "data" dir)
         (insert ";; -*- coding: utf-8 -*-\n")
         (insert (prin1-to-string (cdr feed)))))))
 
@@ -2141,7 +2148,7 @@ newsticker--cache-read
 
 (defun newsticker--cache-read-feed (feed-name)
   "Read cache data for feed named FEED-NAME."
-  (let ((file-name (concat (newsticker--cache-dir) "/" feed-name "/data"))
+  (let ((file-name (expand-file-name "data" (expand-file-name feed-name (newsticker--cache-dir)))
         (coding-system-for-read 'utf-8))
     (when (file-exists-p file-name)
       (with-temp-buffer
@@ -2334,14 +2343,15 @@ newsticker-download-images
   "Download the first image.
 If FEEDNAME equals \"imagefeed\" download the first image URL
 found in the description=contents of ITEM to the directory
-\"~/tmp/newsticker/FEEDNAME/TITLE\" where TITLE is the title of
+`temporary-file-directory'/newsticker/FEEDNAME/TITLE where TITLE is the title of
 the item."
   (when (string= feedname "imagefeed")
     (let ((title (newsticker--title item))
           (desc (newsticker--desc item)))
       (when (string-match "<img src=\"\\(http://[^ \"]+\\)\"" desc)
         (let ((url (substring desc (match-beginning 1) (match-end 1)))
-              (temp-dir (concat "~/tmp/newsticker/" feedname "/" title))
+		(temp-dir (file-name-as-directory
+                           (expand-file-name title (expand-file-name feedname (expand-file-name "newsticker" temporary-file-directory)))))
               (org-dir default-directory))
           (unless (file-directory-p temp-dir)
             (make-directory temp-dir t))
@@ -2355,7 +2368,8 @@ newsticker-download-images
 
 (defun newsticker-download-enclosures (feedname item)
   "In all feeds download the enclosed object of the news ITEM.
-The object is saved to the directory \"~/tmp/newsticker/FEEDNAME/TITLE\", which
+The object is saved to the directory
+`temporary-file-directory'/newsticker/FEEDNAME/TITLE, which
 is created if it does not exist.  TITLE is the title of the news
 item.  Argument FEEDNAME is ignored.
 This function is suited for adding it to `newsticker-new-item-functions'."
@@ -2363,7 +2377,8 @@ newsticker-download-enclosures
         (enclosure (newsticker--enclosure item)))
     (when enclosure
       (let ((url (cdr (assoc 'url enclosure)))
-            (temp-dir (concat "~/tmp/newsticker/" feedname "/" title))
+            (temp-dir (file-name-as-directory
+                        (expand-file-name title (expand-file-name feedname (expand-file-name "newsticker" temporary-file-directory)))))
             (org-dir default-directory))
         (unless (file-directory-p temp-dir)
           (make-directory temp-dir t))
diff --git a/lisp/net/newst-treeview.el b/lisp/net/newst-treeview.el
index 80d9fd1cef..f90a03873f 100644
--- a/lisp/net/newst-treeview.el
+++ b/lisp/net/newst-treeview.el
@@ -1257,7 +1257,10 @@ newsticker-treeview-save
   "Save treeview group settings."
   (interactive)
   (let ((coding-system-for-write 'utf-8)
-        (buf (find-file-noselect (concat newsticker-dir "/groups"))))
+        (buf (find-file-noselect (expand-file-name "groups"
+                                                    newsticker-dir)))
+        (print-length nil)
+        (print-level nil))
     (when buf
       (with-current-buffer buf
         (setq buffer-undo-list t)
@@ -1270,7 +1273,8 @@ newsticker-treeview-save
 (defun newsticker--treeview-load ()
   "Load treeview settings."
   (let* ((coding-system-for-read 'utf-8)
-         (filename (concat newsticker-dir "/groups"))
+         (filename (concat (file-name-as-directory newsticker-dir)
+                           "groups"))
          (buf (and (file-exists-p filename)
                    (find-file-noselect filename))))
     (when buf

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53638; Package emacs. Full text available.

Message received at 53638 <at> debbugs.gnu.org:


Received: (at 53638) by debbugs.gnu.org; 1 Feb 2022 03:26:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 31 22:26:11 2022
Received: from localhost ([127.0.0.1]:41369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nEjo2-0001tJ-75
	for submit <at> debbugs.gnu.org; Mon, 31 Jan 2022 22:26:11 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nEjnw-0001sf-Fa
 for 53638 <at> debbugs.gnu.org; Mon, 31 Jan 2022 22:26:07 -0500
Received: from [2001:470:142:3::e] (port=33768 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nEjnq-0007SA-Vh; Mon, 31 Jan 2022 22:25:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=XkSa3Wkq0JI8Z+8Ipy2qJsdc7lB/iWcqY+cKMPCSMK8=; b=KdtOXwbFn0pG
 +08PC17/tlrhyMeGxT+JJoh0jExq68kQUKFqYYhPAO5LxNN3X/1GqDKsGyb/Fd5Ay1zw7R+kf7T/s
 Ix4oUm+NpJXTLivxxdMvKCxUHuVYCY2bX7rYNZZTGwEln5BMV/GVXC5r14KpLuN0XpvaY70dCvyGw
 VeeXl4+TC0Tb4sOaWirIHyO3Rvnap2CQhh5aQTX0Ieq6bqMMH24lmjmrHb2J7S9A9Xv5ElEehpntr
 lAkTIXf536gzJpELPptHYD8Eu3xRt0UgOu1eAzXWE3IQPVhu55pYi89nAuXvtl6uBUkGTRuVkkfAx
 d7ukuU2MU+whnZPPebxr9A==;
Received: from [87.69.77.57] (port=4823 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nEjnq-0002CV-7q; Mon, 31 Jan 2022 22:25:58 -0500
Date: Tue, 01 Feb 2022 05:25:56 +0200
Message-Id: <831r0n8dyz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: mailj2@HIDDEN
In-Reply-To: <875ypzhdkd.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#53638: [PATCH] newsticker better path handling and data
 storage
References: <87h79lgg5n.fsf@HIDDEN> <87h79j29ha.fsf@HIDDEN>
 <875ypzhdkd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53638
Cc: 53638 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 31 Jan 2022 20:09:58 +0000
> From: mailj2--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> "Lars Ingebrigtsen" <larsi@HIDDEN> writes:
> 
> > Can you rework the patch to use
> > `expand-file-name', which is how file names are supposed to be constructed?
> 
> I've refactored it to use `expand-file-name' and `file-name-concat'. It
> appears the current convention (correct me if I'm wrong) is to use
> `expand-file-name' for joining only one path and one directory, and
> `file-name-concat' for multiple together.

No, you can chain calls to expand-file-name as you need:

  (expand-file-name "foo" (expand-file-name "bar" my-directory))





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53638; Package emacs. Full text available.

Message received at 53638 <at> debbugs.gnu.org:


Received: (at 53638) by debbugs.gnu.org; 31 Jan 2022 20:10:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 31 15:10:18 2022
Received: from localhost ([127.0.0.1]:41045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nEd0E-0002Bb-7F
	for submit <at> debbugs.gnu.org; Mon, 31 Jan 2022 15:10:18 -0500
Received: from mail-40138.protonmail.ch ([185.70.40.138]:53506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mailj2@HIDDEN>) id 1nEd0C-0002BF-BZ
 for 53638 <at> debbugs.gnu.org; Mon, 31 Jan 2022 15:10:17 -0500
Date: Mon, 31 Jan 2022 20:09:58 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1643659809;
 bh=bQbgZK6DMZ5x5EbY4KIbNri5MahiS69OdjdXQsZPF4Y=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:From:To:Cc;
 b=wj18DQFZpUk0PHafw5IMDPUh+IHj22H7L9Nyi72OkcS1dlI0/wD8vg83z4vivCwpL
 6AByUQJlJzXhMYOEHkPOOOvLm2QmTa01t7pzRjhZqLst40GT+ZHuVyblPvAVL8FkOY
 4sneV81ENqzdUpeerk3sR9deLScQgLRs/y6CyYpQyHlTPLtNkrIAKeRQ6eNFzQRMKW
 xIHyOPIAMekUJbDXVnpD+oRiuRu5z2Un8CAwnA9IaSgLuWkVPz113Q4ayLWCcBrZWz
 ToUXOwsTTNH3mrZOsZO1rNseRkr5Fj4hQcUCJTzM/8gDGmzT9utBXa4+m0y1vw9Hce
 6mVTCJRmpb3QQ==
To: 53638 <at> debbugs.gnu.org
From: mailj2@HIDDEN
Subject: Re: bug#53638: [PATCH] newsticker better path handling and data
 storage
Message-ID: <875ypzhdkd.fsf@HIDDEN>
In-Reply-To: <87h79j29ha.fsf@HIDDEN>
References: <87h79lgg5n.fsf@HIDDEN> <87h79j29ha.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_lM6xpveTUBC3xxrfIDP9nDdtTfE4woUHdSPbWe7usQ"
X-Spam-Status: No, score=-0.7 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_ENVFROM_END_DIGIT,
 FREEMAIL_FROM,FREEMAIL_REPLYTO_END_DIGIT,T_SCC_BODY_TEXT_LINE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 53638
Cc: Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: mailj2@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

This is a multi-part message in MIME format.

--b1_lM6xpveTUBC3xxrfIDP9nDdtTfE4woUHdSPbWe7usQ
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

"Lars Ingebrigtsen" <larsi@HIDDEN> writes:

> Can you rework the patch to use
> `expand-file-name', which is how file names are supposed to be constructe=
d?

I've refactored it to use `expand-file-name' and `file-name-concat'. It
appears the current convention (correct me if I'm wrong) is to use
`expand-file-name' for joining only one path and one directory, and
`file-name-concat' for multiple together.


--b1_lM6xpveTUBC3xxrfIDP9nDdtTfE4woUHdSPbWe7usQ
Content-Type: text/x-patch; name=newsticker-patch-2.diff
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=newsticker-patch-2.diff
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--b1_lM6xpveTUBC3xxrfIDP9nDdtTfE4woUHdSPbWe7usQ--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53638; Package emacs. Full text available.

Message received at 53638 <at> debbugs.gnu.org:


Received: (at 53638) by debbugs.gnu.org; 31 Jan 2022 15:47:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 31 10:47:24 2022
Received: from localhost ([127.0.0.1]:40355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nEYto-0003Cc-4B
	for submit <at> debbugs.gnu.org; Mon, 31 Jan 2022 10:47:24 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nEYtm-00037I-SR
 for 53638 <at> debbugs.gnu.org; Mon, 31 Jan 2022 10:47:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=y9E2pzN5yf5XFyItOsLurP03DYNRc2XCbGiKwp2M8aI=; b=BerFsvZXFHxpwpFrW+2Kjvr4UB
 8VfCLxOT8ijLZx5Z+q5dSryvgR6BAjFTbUxW7x+MptEYWJ34kYyI43rjx2a7y88Y5Sl+XLLDy6FTJ
 eHKIdax9TOrduRiRqf4h97ygs4LZxMug/3xF5J/7bPim9yPfgxxoZCQwP8dZpzaYZAiU=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nEYte-0003zH-8H; Mon, 31 Jan 2022 16:47:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: mailj2@HIDDEN
Subject: Re: bug#53638: [PATCH] newsticker better path handling and data
 storage
References: <87h79lgg5n.fsf@HIDDEN>
X-Now-Playing: Two Nice Girls's _Like A Version_: "I Spent My Last $10.00
 (on Birth Control & Beer)"
Date: Mon, 31 Jan 2022 16:47:13 +0100
In-Reply-To: <87h79lgg5n.fsf@HIDDEN> (mailj2@HIDDEN's message
 of "Sun, 30 Jan 2022 19:47:03 +0000")
Message-ID: <87h79j29ha.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: mailj2@HIDDEN writes: > The way newsticker currently
 handles paths involves directly concating > "/", which only works for UNIX
 systems. Can you rework the patch to use `expand-file-name', which is how
 file names are supposed to be constructed? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53638
Cc: 53638 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

mailj2@HIDDEN writes:

> The way newsticker currently handles paths involves directly concating
> "/", which only works for UNIX systems.

Can you rework the patch to use `expand-file-name', which is how
file names are supposed to be constructed?

> Additionally, since newsticker uses `prin1-to-string' for storing
> groups and cache, it should be enforced that `print-level' and
> `print-length' are set to nil for the operation just as a precaution (it
> happened to me that I manually set these once, which resulted in the
> newsticker cache being corrupted).

That part of the patch looks good.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53638; Package emacs. Full text available.

Message received at 53638 <at> debbugs.gnu.org:


Received: (at 53638) by debbugs.gnu.org; 31 Jan 2022 12:19:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 31 07:19:32 2022
Received: from localhost ([127.0.0.1]:38496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nEVee-0007Lo-8i
	for submit <at> debbugs.gnu.org; Mon, 31 Jan 2022 07:19:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nEVec-0007Ld-Rk
 for 53638 <at> debbugs.gnu.org; Mon, 31 Jan 2022 07:19:31 -0500
Received: from [2001:470:142:3::e] (port=43064 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nEVeX-00082Z-KA; Mon, 31 Jan 2022 07:19:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=D//eib9gfdjCANTSU2lo9SOevpm5+eWXQ5WJjPKuXdQ=; b=piMT9Xp2MNvS
 KpDPKN8QI9pkr2EXb0+vb7qPxZACt+InGfHE+ZOJsCWu1mGqAqklraKanyBonYLyY7DyetUF4B9RH
 8zhqhtrJS94hLVvR4rYZu7w9ycjsjyhQw/YsWuETIwtSd11BZI4b9a2mpXdGu/FzBcFU6b9YD5rkj
 ge1akPLBNUUlTkNme3FRLM3O3CmX9IwoVGsYB53RwfvTMxdlyk4vc8q8uGd73bAd4DNoooW9+SA6g
 cJi70/yVLVOuaJEIthdOnaDNuTs8j6ZmQnqSmo0NyaeyTIUdnU6h3qQ4hR1fkoiisaUmMp9GFufmK
 SN5mJrQH7dkn2OkDXfN9Uw==;
Received: from [87.69.77.57] (port=1181 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nEVeX-0005SK-3M; Mon, 31 Jan 2022 07:19:25 -0500
Date: Mon, 31 Jan 2022 14:19:21 +0200
Message-Id: <834k5k9jxy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: mailj2@HIDDEN
In-Reply-To: <87h79lgg5n.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#53638: [PATCH] newsticker better path handling and data
 storage
References: <87h79lgg5n.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53638
Cc: 53638 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 30 Jan 2022 19:47:03 +0000
> From: mailj2--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> The way newsticker currently handles paths involves directly concating
> "/", which only works for UNIX systems.

The canonical way of doing that is to use expand-file-name.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53638; Package emacs. Full text available.

Message received at 53638 <at> debbugs.gnu.org:


Received: (at 53638) by debbugs.gnu.org; 31 Jan 2022 10:23:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 31 05:23:56 2022
Received: from localhost ([127.0.0.1]:38373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nETqm-00045x-7s
	for submit <at> debbugs.gnu.org; Mon, 31 Jan 2022 05:23:56 -0500
Received: from mail-wr1-f52.google.com ([209.85.221.52]:37579)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1nETqk-00045l-MJ
 for 53638 <at> debbugs.gnu.org; Mon, 31 Jan 2022 05:23:55 -0500
Received: by mail-wr1-f52.google.com with SMTP id w11so24383706wra.4
 for <53638 <at> debbugs.gnu.org>; Mon, 31 Jan 2022 02:23:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=jfS2AZXvIKteU8iIp0Ja050QZNwoa5Srkfr7MpzpNsc=;
 b=fPGZLIasj5zRnT/niCtxeQeg+JW07BNv5yqV4xFB8hi3lvAvht/GQspiKtClm3Y0iz
 nV9L2dHhcqkO9nw565BXhct/FWsRCL+DZ2c+eajKxpCPqlIzur8+rdFndrFwaJad2BZc
 Rj6RucwRm1zaLXvK5RSZPLy3daYJX5xXzSI2x5ue9VtTz5QQ8W2VZxQp38x1Pslzm8Bw
 INeb7WIaZ3CHPv5IHgWNei9566to2tcPD2uptSFKxu3MGqg/73ldGLdEE7iYA2x7T831
 7X5oc90obz3fbB1KRY+zNyq05fMo2O8Jklovp317Zsa8HDEGcbDy5fiKF2Bi+K2/91Oq
 jgFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=jfS2AZXvIKteU8iIp0Ja050QZNwoa5Srkfr7MpzpNsc=;
 b=17kw0ob4l9nrzNrbuZAHoVIo/buDiwAqFjcTQ0GuuyZZNSLj11dMM/G4ddKXTkevW4
 YMg61DF0i3uC4xlbDIc2CkIXbLYOfXoWh95JL7MWRQ9X68YHp2RoSpQogVj7CA0oXOE+
 6rKe4d7fFBhMbNYK8szsDSYhAtqpI5KDo6S3o2QuE5U6Jc/mkNXMqwrDC9xkKG1s7tgt
 ks9mJ5+xaYpvxJsdBMfjmshiTcoFo16TbcfXTuijLP0eb3kKAM1utkte/YPyQ2tnVLd9
 Jh8x3ynh4hWQ7mItz/dOTWjIirg8CikdlNPrz1nwGb3cn9P9vG9n2e9nVyNrLQ+yJ8/O
 Yw7g==
X-Gm-Message-State: AOAM53391KDMEBBuo2MtqQZZ05qOX7LDVmDmr12W16UGugUJ4fgK9GTK
 HD5mN7Pwngqt67rznFU5mFY=
X-Google-Smtp-Source: ABdhPJyUAqPf3QHB6l7gu92LckvR3j3U22zJiWUZ9IehOy/5o/qhX4V+qgdhEnmz8JV0II/vnKchTg==
X-Received: by 2002:a05:6000:11cb:: with SMTP id
 i11mr16763248wrx.19.1643624628570; 
 Mon, 31 Jan 2022 02:23:48 -0800 (PST)
Received: from rltb ([2a01:e0a:3f3:fb50:6309:eddd:6989:af26])
 by smtp.gmail.com with ESMTPSA id g9sm6133243wri.95.2022.01.31.02.23.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 31 Jan 2022 02:23:48 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: 53638 <at> debbugs.gnu.org
Subject: Re: bug#53638: [PATCH] newsticker better path handling and data
 storage
References: <87h79lgg5n.fsf@HIDDEN>
Date: Mon, 31 Jan 2022 11:23:47 +0100
In-Reply-To: <87h79lgg5n.fsf@HIDDEN> (mailj's message of "Sun, 30 Jan
 2022 19:47:03 +0000")
Message-ID: <87o83scifg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53638
Cc: mailj2@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sun, 30 Jan 2022 19:47:03 +0000, mailj2--- via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN> said:

    mailj2> The way newsticker currently handles paths involves directly concating
    mailj2> "/", which only works for UNIX systems.

emacs-28 has `file-name-concat' for this very purpose, perhaps you
could respin to use that instead.

    mailj2> Additionally, since newsticker uses `prin1-to-string' for storing
    mailj2> groups and cache, it should be enforced that `print-level' and
    mailj2> `print-length' are set to nil for the operation just as a precaution (it
    mailj2> happened to me that I manually set these once, which resulted in the
    mailj2> newsticker cache being corrupted).

OK. It would be good to have a ChangeLog style commit message as well,
see CONTRIBUTE for details. 'C-x 4 a' can help with writing it.

Robert
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53638; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jan 2022 20:19:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 30 15:19:35 2022
Received: from localhost ([127.0.0.1]:37726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nEGfd-00019T-0p
	for submit <at> debbugs.gnu.org; Sun, 30 Jan 2022 15:19:35 -0500
Received: from lists.gnu.org ([209.51.188.17]:41254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mailj2@HIDDEN>) id 1nEGAR-0000Io-HO
 for submit <at> debbugs.gnu.org; Sun, 30 Jan 2022 14:47:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43554)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mailj2@HIDDEN>)
 id 1nEGAP-0005Nn-OR
 for bug-gnu-emacs@HIDDEN; Sun, 30 Jan 2022 14:47:19 -0500
Received: from mail-4318.protonmail.ch ([185.70.43.18]:18845)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mailj2@HIDDEN>)
 id 1nEGAN-0003OA-Hv
 for bug-gnu-emacs@HIDDEN; Sun, 30 Jan 2022 14:47:17 -0500
Date: Sun, 30 Jan 2022 19:47:03 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1643572030;
 bh=euv+lURiqmrR7SMZDpqTwEirXvUZ8a9e//ZnClLZqX8=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=SGAD2PE7eEJM+mF355KgXWCJ8tOTIzQu4aue5463SPwIVUL8MyixQ2lndQ5nZFhcB
 vzceDUN+Uz7Xc6OOtDk1HbfMODCF85absMEVAaGpFoJL/edKCsnXGyfDObNBudxq2e
 MgfU0Qw12txzSLwpJjrBM4x3zgbGzV/PNBaCQQsbD3RB757YaKp+WDSnNibaMykZoC
 sJesIChAOwikG5QueVXELl12Y8ytzM/gwcxedpbo+HbDuXmo4fASbC2pfb8ljtjJwK
 YgPv33U4k653h6XAEIN6L4R7Rvyh6tMhrvUjh46cnfcejtect0OOrDgbbnliBa83KI
 RbYE8Bh6UwQjA==
To: bug-gnu-emacs@HIDDEN
From: mailj2@HIDDEN
Subject: [PATCH] newsticker better path handling and data storage
Message-ID: <87h79lgg5n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_FCK0y4P2PDmXJJPbtBt2DhTsJohhtZvgSUra4GeMic"
X-Spam-Status: No, score=-0.7 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_ENVFROM_END_DIGIT,
 FREEMAIL_FROM,FREEMAIL_REPLYTO_END_DIGIT,T_SCC_BODY_TEXT_LINE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.43.18; envelope-from=mailj2@HIDDEN;
 helo=mail-4318.protonmail.ch
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLYTO_END_DIGIT=0.25, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 30 Jan 2022 15:19:30 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: mailj2@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

This is a multi-part message in MIME format.

--b1_FCK0y4P2PDmXJJPbtBt2DhTsJohhtZvgSUra4GeMic
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


The way newsticker currently handles paths involves directly concating
"/", which only works for UNIX systems.

Additionally, since newsticker uses `prin1-to-string' for storing
groups and cache, it should be enforced that `print-level' and
`print-length' are set to nil for the operation just as a precaution (it
happened to me that I manually set these once, which resulted in the
newsticker cache being corrupted).

This patch should fix both of these issues.


--b1_FCK0y4P2PDmXJJPbtBt2DhTsJohhtZvgSUra4GeMic
Content-Type: text/x-patch; name=newsticker-patch.diff
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=newsticker-patch.diff
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--b1_FCK0y4P2PDmXJJPbtBt2DhTsJohhtZvgSUra4GeMic--





Acknowledgement sent to mailj2@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53638; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 16 May 2022 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.